edu.isi.pegasus.planner.namespace.aggregator

## Class Abstract

- java.lang.Object
- - edu.isi.pegasus.planner.namespace.aggregator.Abstract

All Implemented Interfaces:
  Aggregator

Direct Known Subclasses:
  MAX, MIN, Sum, UniqueMerge, Update

    public abstract class Abstract
    extends java.lang.Object
    implements Aggregator

An abstract implementation of the Profile Aggregators.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from interface edu.isi.pegasus.planner.namespace.aggregator.Aggregator

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Abstract()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `parseInt(java.lang.String value, java.lang.String dflt)` Formats the String value as an integer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface edu.isi.pegasus.planner.namespace.aggregator.Aggregator

`compute`

### Constructor Detail

#### Abstract

    public Abstract()

### Method Detail

#### parseInt

    protected int parseInt(java.lang.String value,
                           java.lang.String dflt)
                    throws java.lang.NumberFormatException

Formats the String value as an integer. If the String is NaN then the default value is assigned.

Parameters:
  `value` - the value to be converted to integer.
  `dflt` - the default value to be used in case value is NaN or null.
Returns:
  the integer value
Throws:
  `java.lang.NumberFormatException` - in the case when default value cannot be converted to an int.